
#ifndef LEGEND_H
#define LEGEND_H

#include "basic.h"
#include "drawtext.h"

class Legend : public Visualization {
public:
	Legend();
	Legend(int sx, int sy, int xs, int ys);
	int numitems;
	float *colors; // RGBA, color of ith entry starts at i*4
	char **names;
	char title[64]; // title first line
	char title2[64]; // title second line
	NiceText NT;

	void Draw();

};

#endif

